Subject: New Reply Received - Unprofessional and very bad service.. they send wrong items and they refuse to return/refund.. I bou...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 27 May 2020 11:55:03 +0000

Hi Mhd Obiedo,  The customer has responded to the ticket.  Unprofessional and very bad service.. they send wrong items and they refuse to return/refund.. I bou...  Ticket comment <div>I am also accepting your opinion i have a very big problem with centrepoint from 2 month and they have received 20 kd and cancelled the order without any reason ... i called them and i have taked with customer service more than 15 times and they are unprofessional and very very bad ...
I am waiting to submit my problem to Consumer Protection Agency ... 
MOHAMMED SAQR 
M.94970514</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/944406